from diagrams import Diagram
from diagrams.custom import Custom
from diagrams import Node, Cluster

graph_attributes = {
    "resolution": "256",
    "margin": "-2",
    "splines": "spline",
    "nodesep": "0.1",
}

cluster_attributes = {
    "fontsize": "15",
    "bgcolor": "#ffffff",
    "margin": "20",
    "style": "solid",
}

node_attributes = {
    "style": "solid",
    "labelloc": "c",
    "width": "3.2",
    "height": "0.5",
}

def create_diagram():
    with Diagram(name="", filename="out/chatbot", direction="LR", show=False, graph_attr=graph_attributes, node_attr=node_attributes):
        with Cluster("smarteating_chatbot", graph_attr=cluster_attributes):
            Node("main.py")
            Node("assistants")
            Node("exceptions")
            Node("models")
            Node("utils")

if __name__ == "__main__":
    create_diagram()
