# Superset
[Install instrucions](https://superset.apache.org/docs/installation/installing-superset-using-docker-compose)

Get docker network (e.g. 172.17.0.0/16)
```bash
sudo docker network inspect bridge
```

Add this ip to `pg_hba.conf`
```bash
echo "host    all             all             172.17.0.0/16           trust" >> /var/lib/docker/volumes/superset_db_home/_data/pg_hba.conf
```

Create new database
```bash
docker exec -it superset_db /bin/bash
create database timetracking;
```

Disable example data download: set `SUPERSET_LOAD_EXAMPLES` to `no` in `docker/.env-non-dev`

Restart all with docker compose.

Add database to superset
- host: db
- port: 5432
- db name: timetracking
- username: superset
- password: superset
- to allow csv uploads: Advanced -> Security -> Allow file uploads to database
